#
# spec file for package perl-Net-UPnP
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Net-UPnP
Version:        1.4.6
Release:        1699.4.pm.8
%define cpan_name Net-UPnP
Summary:        Perl extension for UPnP
License:        BSD-3-Clause
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SK/SKONNO/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(version)
Requires:       perl(version)
%{perl_requires}

%description
This package provides some functions to control UPnP devices.

Currently, the package provides only functions for the control point. To
control UPnP devices, see Net::UPnP::ControlPoint.

As a sample of the control point, the package provides
Net::UPnP::AV::MediaServer to control the devices such as DLNA media
servers. As the example, please dms2vodcast.pl that converts from the MPEG2
movies to the MPEG4 one and outputs the RSS file for Vodcasting.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc AUTHORS Changes examples README

%changelog
* Wed Sep  4 2019 olaf@aepfle.de
- Pick a License string that makes SLE15_SP1 happy
* Mon Dec 24 2018 Stephan Kulow <coolo@suse.com>
- updated to 1.4.6
  see /usr/share/doc/packages/perl-Net-UPnP/Changes
  2018-12-23 Satoshi Konno <skonno@cybergarage.org>
  * v1.4.6
  * Thank you Florian Schlichting
  * Update ControlPoint::serach() not to abort when the HTTP request is failed
* Fri Nov  9 2018 Stephan Kulow <coolo@suse.com>
- updated to 1.4.5
  see /usr/share/doc/packages/perl-Net-UPnP/Changes
* Tue May 22 2018 coolo@suse.com
- updated to 1.4.4
  see /usr/share/doc/packages/perl-Net-UPnP/Changes
* Thu Jan 19 2017 aloisio@gmx.com
- Update to version 1.4.3
- Spec cleanup
* Sun Nov  7 2010 herbert@links2linux.de
- Fix file permissions
* Sun Nov  7 2010 herbert@links2linux.de
- Initial package
